> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # List Queued User Inquiries > Permission required: `view-l-room` The `livechat/inquiries.queued` endpoint has been removed from 7.0. Use this endpoint instead. ## OpenAPI ````json GET /api/v1/livechat/inquiries.queuedForUser { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/inquiries.queuedForUser": { "get": { "tags": [ "Omnichannel Inquiries" ], "summary": "List Queued User Inquiries", "description": "Permission required: `view-l-room`\nThe `livechat/inquiries.queued` endpoint has been removed from 7.0. Use this endpoint instead.", "operationId": "get-api-v1-livechat-inquiries.queuedForUser", "parameters": [ { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/AuthToken" }, { "name": "department", "in": "query", "description": "The department ID or name.", "schema": { "type": "string" } }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/sort" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "inquiries": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "name": { "type": "string" }, "ts": { "type": "string" }, "department": { "type": "string" }, "message": { "type": "string" }, "status": { "type": "string" }, "v": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "token": { "type": "string" }, "status": { "type": "string" } } }, "t": { "type": "string" }, "queueOrder": { "type": "integer" }, "estimatedWaitingTimeQueue": { "type": "integer" }, "estimatedServiceTimeAt": { "type": "string" }, "_updatedAt": { "type": "string" } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "inquiries": [ { "_id": "xn5sKBatdkgDfjDLC", "rid": "8AuphbFBSNBjeZQFs", "name": "hk", "ts": "2021-07-22T14:28:57.987Z", "department": "CAJioQNAvLnYWTy8i", "message": "", "status": "queued", "v": { "_id": "hPF84vuahYBZugM8L", "username": "guest-535", "token": "zdynf0a9vsiiiq1dlf9abf", "status": "offline" }, "t": "l", "queueOrder": "1", "estimatedWaitingTimeQueue": "0", "estimatedServiceTimeAt": "2021-07-22T14:28:57.987Z", "_updatedAt": "2021-07-22T14:37:28.47Z" }, { "_id": "g6FY2B8PNwneteRG9", "rid": "iZ7XDSgcjBgczqko9", "name": "dk", "ts": "2021-07-22T14:28:07.35Z", "department": "CAJioQNAvLnYWTy8i", "message": "", "status": "queued", "v": { "_id": "ycwLFcaH4ey9XYYvu", "username": "guest-534", "token": "ili20miimhh8x33ld0b5de", "status": "offline" }, "t": "l", "queueOrder": "1", "estimatedWaitingTimeQueue": "0", "estimatedServiceTimeAt": "2021-07-22T14:28:07.35Z", "_updatedAt": "2021-07-22T14:28:24.521Z" } ], "count": "2", "offset": "0", "total": "2", "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/permissionError" } } } } }, "components": { "parameters": { "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "offset": { "name": "offset", "in": "query", "required": "false", "schema": { "type": "integer" }, "example": "50", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more." }, "count": { "name": "count", "in": "query", "required": "false", "schema": { "type": "integer" }, "example": "25", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more." }, "sort": { "name": "sort", "in": "query", "required": "false", "schema": { "format": "object" }, "description": "List of fields to order by, and in which direction. JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, sort = `{\"value\": -1, \"_id\": 1}`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more." } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "permissionError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": "false", "error": "User does not have the permissions required for this action [error-unauthorized]" } }, "Unauthorized": { "value": { "success": "false", "error": "unauthorized" } } } } } } } } } ````